<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (10.0.1) on Tue Sep 25 17:42:32 CEST 2018 -->
<title>G-Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="date" content="2018-09-25">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-1.10.2.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="G-Index";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../";loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-5.html">Prev Letter</a></li>
<li><a href="index-7.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-6.html" target="_top">Frames</a></li>
<li><a href="index-6.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">O</a>&nbsp;<a href="index-12.html">P</a>&nbsp;<a href="index-13.html">Q</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">U</a>&nbsp;<a name="I:G">
<!--   -->
</a>
<h2 class="title">G</h2>
<dl>
<dt><span class="memberNameLink"><a href="../helperClasses/DatabaseHelper.html#getAccessory-java.lang.String-">getAccessory(String)</a></span> - Method in class helperClasses.<a href="../helperClasses/DatabaseHelper.html" title="class in helperClasses">DatabaseHelper</a></dt>
<dd>
<div class="block">Gets the accessories from the database ordered after the sort criteria.</div>
</dd>
<dt><span class="memberNameLink"><a href="../beans/Question.html#getActive--">getActive()</a></span> - Method in class beans.<a href="../beans/Question.html" title="class in beans">Question</a></dt>
<dd>
<div class="block">Gets the active.</div>
</dd>
<dt><span class="memberNameLink"><a href="../beans/Customer.html#getAdmin--">getAdmin()</a></span> - Method in class beans.<a href="../beans/Customer.html" title="class in beans">Customer</a></dt>
<dd>
<div class="block">Gets the admin.</div>
</dd>
<dt><span class="memberNameLink"><a href="../helperClasses/DatabaseHelper.html#getAllActiveArticles-java.lang.String-java.lang.String-">getAllActiveArticles(String, String)</a></span> - Method in class helperClasses.<a href="../helperClasses/DatabaseHelper.html" title="class in helperClasses">DatabaseHelper</a></dt>
<dd>
<div class="block">Gets all active articles from a category from the database ordered by sort criteria.</div>
</dd>
<dt><span class="memberNameLink"><a href="../helperClasses/DatabaseHelper.html#getAllActiveQuestions--">getAllActiveQuestions()</a></span> - Method in class helperClasses.<a href="../helperClasses/DatabaseHelper.html" title="class in helperClasses">DatabaseHelper</a></dt>
<dd>
<div class="block">Gets all active questions from the database.</div>
</dd>
<dt><span class="memberNameLink"><a href="../helperClasses/DatabaseHelper.html#getAllArticles-java.lang.String-">getAllArticles(String)</a></span> - Method in class helperClasses.<a href="../helperClasses/DatabaseHelper.html" title="class in helperClasses">DatabaseHelper</a></dt>
<dd>
<div class="block">Gets all articles from the database ordered by a sort criteria.</div>
</dd>
<dt><span class="memberNameLink"><a href="../helperClasses/DatabaseHelper.html#getAllCustomers--">getAllCustomers()</a></span> - Method in class helperClasses.<a href="../helperClasses/DatabaseHelper.html" title="class in helperClasses">DatabaseHelper</a></dt>
<dd>
<div class="block">Gets all customers from the database.</div>
</dd>
<dt><span class="memberNameLink"><a href="../helperClasses/DatabaseHelper.html#getAllQuestions--">getAllQuestions()</a></span> - Method in class helperClasses.<a href="../helperClasses/DatabaseHelper.html" title="class in helperClasses">DatabaseHelper</a></dt>
<dd>
<div class="block">Gets all questions from the database.</div>
</dd>
<dt><span class="memberNameLink"><a href="../beans/OrderPosition.html#getAmount--">getAmount()</a></span> - Method in class beans.<a href="../beans/OrderPosition.html" title="class in beans">OrderPosition</a></dt>
<dd>
<div class="block">Gets the amount.</div>
</dd>
<dt><span class="memberNameLink"><a href="../helperClasses/ShoppingCartItem.html#getAmount--">getAmount()</a></span> - Method in class helperClasses.<a href="../helperClasses/ShoppingCartItem.html" title="class in helperClasses">ShoppingCartItem</a></dt>
<dd>
<div class="block">Gets the amount.</div>
</dd>
<dt><span class="memberNameLink"><a href="../beans/Question.html#getAnswer--">getAnswer()</a></span> - Method in class beans.<a href="../beans/Question.html" title="class in beans">Question</a></dt>
<dd>
<div class="block">Gets the answer.</div>
</dd>
<dt><span class="memberNameLink"><a href="../helperClasses/DatabaseHelper.html#getArticle-java.lang.String-">getArticle(String)</a></span> - Method in class helperClasses.<a href="../helperClasses/DatabaseHelper.html" title="class in helperClasses">DatabaseHelper</a></dt>
<dd>
<div class="block">Gets the article from the database with the article number from the parameter.</div>
</dd>
<dt><span class="memberNameLink"><a href="../helperClasses/ShoppingCartItem.html#getArticleName--">getArticleName()</a></span> - Method in class helperClasses.<a href="../helperClasses/ShoppingCartItem.html" title="class in helperClasses">ShoppingCartItem</a></dt>
<dd>
<div class="block">Gets the article name.</div>
</dd>
<dt><span class="memberNameLink"><a href="../beans/Article.html#getArticleNo--">getArticleNo()</a></span> - Method in class beans.<a href="../beans/Article.html" title="class in beans">Article</a></dt>
<dd>
<div class="block">Gets the article no.</div>
</dd>
<dt><span class="memberNameLink"><a href="../beans/OrderPosition.html#getArticleNo--">getArticleNo()</a></span> - Method in class beans.<a href="../beans/OrderPosition.html" title="class in beans">OrderPosition</a></dt>
<dd>
<div class="block">Gets the article no.</div>
</dd>
<dt><span class="memberNameLink"><a href="../beans/Review.html#getArticleNo--">getArticleNo()</a></span> - Method in class beans.<a href="../beans/Review.html" title="class in beans">Review</a></dt>
<dd>
<div class="block">Gets the article no.</div>
</dd>
<dt><span class="memberNameLink"><a href="../helperClasses/ShoppingCartItem.html#getArticleNo--">getArticleNo()</a></span> - Method in class helperClasses.<a href="../helperClasses/ShoppingCartItem.html" title="class in helperClasses">ShoppingCartItem</a></dt>
<dd>
<div class="block">Gets the article number.</div>
</dd>
<dt><span class="memberNameLink"><a href="../beans/Article.html#getAverageStars--">getAverageStars()</a></span> - Method in class beans.<a href="../beans/Article.html" title="class in beans">Article</a></dt>
<dd>
<div class="block">Gets the average stars.</div>
</dd>
<dt><span class="memberNameLink"><a href="../beans/Article.html#getCategory--">getCategory()</a></span> - Method in class beans.<a href="../beans/Article.html" title="class in beans">Article</a></dt>
<dd>
<div class="block">Gets the category.</div>
</dd>
<dt><span class="memberNameLink"><a href="../beans/Order.html#getCreationDate--">getCreationDate()</a></span> - Method in class beans.<a href="../beans/Order.html" title="class in beans">Order</a></dt>
<dd>
<div class="block">Gets the creation date.</div>
</dd>
<dt><span class="memberNameLink"><a href="../beans/Article.html#getCurrentStock--">getCurrentStock()</a></span> - Method in class beans.<a href="../beans/Article.html" title="class in beans">Article</a></dt>
<dd>
<div class="block">Gets the current stock.</div>
</dd>
<dt><span class="memberNameLink"><a href="../helperClasses/DatabaseHelper.html#getCustomer-java.lang.String-">getCustomer(String)</a></span> - Method in class helperClasses.<a href="../helperClasses/DatabaseHelper.html" title="class in helperClasses">DatabaseHelper</a></dt>
<dd>
<div class="block">Gets the customer from the database with the customer number from the parameter.</div>
</dd>
<dt><span class="memberNameLink"><a href="../beans/Review.html#getCustomerName--">getCustomerName()</a></span> - Method in class beans.<a href="../beans/Review.html" title="class in beans">Review</a></dt>
<dd>
<div class="block">Gets the customer name.</div>
</dd>
<dt><span class="memberNameLink"><a href="../beans/Customer.html#getCustomerNo--">getCustomerNo()</a></span> - Method in class beans.<a href="../beans/Customer.html" title="class in beans">Customer</a></dt>
<dd>
<div class="block">Gets the customer Number.</div>
</dd>
<dt><span class="memberNameLink"><a href="../beans/Order.html#getCustomerNo--">getCustomerNo()</a></span> - Method in class beans.<a href="../beans/Order.html" title="class in beans">Order</a></dt>
<dd>
<div class="block">Gets the customer number.</div>
</dd>
<dt><span class="memberNameLink"><a href="../helperClasses/DatabaseHelper.html#getCustomerNoByEMail-java.lang.String-">getCustomerNoByEMail(String)</a></span> - Method in class helperClasses.<a href="../helperClasses/DatabaseHelper.html" title="class in helperClasses">DatabaseHelper</a></dt>
<dd>
<div class="block">Gets the customer number by the email.</div>
</dd>
<dt><span class="memberNameLink"><a href="../beans/Question.html#getDate--">getDate()</a></span> - Method in class beans.<a href="../beans/Question.html" title="class in beans">Question</a></dt>
<dd>
<div class="block">Gets the date.</div>
</dd>
<dt><span class="memberNameLink"><a href="../beans/Review.html#getDate--">getDate()</a></span> - Method in class beans.<a href="../beans/Review.html" title="class in beans">Review</a></dt>
<dd>
<div class="block">Gets the date.</div>
</dd>
<dt><span class="memberNameLink"><a href="../beans/Order.html#getDeliveryDate--">getDeliveryDate()</a></span> - Method in class beans.<a href="../beans/Order.html" title="class in beans">Order</a></dt>
<dd>
<div class="block">Gets the delivery date.</div>
</dd>
<dt><span class="memberNameLink"><a href="../beans/Order.html#getDeliveryFirstname--">getDeliveryFirstname()</a></span> - Method in class beans.<a href="../beans/Order.html" title="class in beans">Order</a></dt>
<dd>
<div class="block">Gets the delivery firstname.</div>
</dd>
<dt><span class="memberNameLink"><a href="../beans/Order.html#getDeliveryHouseNumber--">getDeliveryHouseNumber()</a></span> - Method in class beans.<a href="../beans/Order.html" title="class in beans">Order</a></dt>
<dd>
<div class="block">Gets the delivery house number.</div>
</dd>
<dt><span class="memberNameLink"><a href="../beans/Order.html#getDeliveryName--">getDeliveryName()</a></span> - Method in class beans.<a href="../beans/Order.html" title="class in beans">Order</a></dt>
<dd>
<div class="block">Gets the delivery name.</div>
</dd>
<dt><span class="memberNameLink"><a href="../beans/Order.html#getDeliveryPostalCode--">getDeliveryPostalCode()</a></span> - Method in class beans.<a href="../beans/Order.html" title="class in beans">Order</a></dt>
<dd>
<div class="block">Gets the delivery postal code.</div>
</dd>
<dt><span class="memberNameLink"><a href="../beans/Order.html#getDeliveryStreet--">getDeliveryStreet()</a></span> - Method in class beans.<a href="../beans/Order.html" title="class in beans">Order</a></dt>
<dd>
<div class="block">Gets the delivery street.</div>
</dd>
<dt><span class="memberNameLink"><a href="../beans/Order.html#getDeliveryTown--">getDeliveryTown()</a></span> - Method in class beans.<a href="../beans/Order.html" title="class in beans">Order</a></dt>
<dd>
<div class="block">Gets the delivery town.</div>
</dd>
<dt><span class="memberNameLink"><a href="../beans/Article.html#getDescription--">getDescription()</a></span> - Method in class beans.<a href="../beans/Article.html" title="class in beans">Article</a></dt>
<dd>
<div class="block">Gets the description.</div>
</dd>
<dt><span class="memberNameLink"><a href="../beans/Order.html#getDispatchType--">getDispatchType()</a></span> - Method in class beans.<a href="../beans/Order.html" title="class in beans">Order</a></dt>
<dd>
<div class="block">Gets the dispatch type.</div>
</dd>
<dt><span class="memberNameLink"><a href="../beans/Customer.html#getEmail--">getEmail()</a></span> - Method in class beans.<a href="../beans/Customer.html" title="class in beans">Customer</a></dt>
<dd>
<div class="block">Gets the email.</div>
</dd>
<dt><span class="memberNameLink"><a href="../beans/Customer.html#getFirstname--">getFirstname()</a></span> - Method in class beans.<a href="../beans/Customer.html" title="class in beans">Customer</a></dt>
<dd>
<div class="block">Gets the firstname.</div>
</dd>
<dt><span class="memberNameLink"><a href="../beans/Customer.html#getFormOfAddress--">getFormOfAddress()</a></span> - Method in class beans.<a href="../beans/Customer.html" title="class in beans">Customer</a></dt>
<dd>
<div class="block">Gets the form of address.</div>
</dd>
<dt><span class="memberNameLink"><a href="../beans/Question.html#getID--">getID()</a></span> - Method in class beans.<a href="../beans/Question.html" title="class in beans">Question</a></dt>
<dd>
<div class="block">Gets the id.</div>
</dd>
<dt><span class="memberNameLink"><a href="../beans/Order.html#getInvoiceFirstname--">getInvoiceFirstname()</a></span> - Method in class beans.<a href="../beans/Order.html" title="class in beans">Order</a></dt>
<dd>
<div class="block">Gets the invoice firstname.</div>
</dd>
<dt><span class="memberNameLink"><a href="../beans/Customer.html#getInvoiceHouseNumber--">getInvoiceHouseNumber()</a></span> - Method in class beans.<a href="../beans/Customer.html" title="class in beans">Customer</a></dt>
<dd>
<div class="block">Gets the invoice house number.</div>
</dd>
<dt><span class="memberNameLink"><a href="../beans/Order.html#getInvoiceHouseNumber--">getInvoiceHouseNumber()</a></span> - Method in class beans.<a href="../beans/Order.html" title="class in beans">Order</a></dt>
<dd>
<div class="block">Gets the invoice house number.</div>
</dd>
<dt><span class="memberNameLink"><a href="../beans/Order.html#getInvoiceName--">getInvoiceName()</a></span> - Method in class beans.<a href="../beans/Order.html" title="class in beans">Order</a></dt>
<dd>
<div class="block">Gets the invoice name.</div>
</dd>
<dt><span class="memberNameLink"><a href="../beans/Customer.html#getInvoicePostalCode--">getInvoicePostalCode()</a></span> - Method in class beans.<a href="../beans/Customer.html" title="class in beans">Customer</a></dt>
<dd>
<div class="block">Gets the invoice postal code.</div>
</dd>
<dt><span class="memberNameLink"><a href="../beans/Order.html#getInvoicePostalCode--">getInvoicePostalCode()</a></span> - Method in class beans.<a href="../beans/Order.html" title="class in beans">Order</a></dt>
<dd>
<div class="block">Gets the invoice postal code.</div>
</dd>
<dt><span class="memberNameLink"><a href="../beans/Customer.html#getInvoiceStreet--">getInvoiceStreet()</a></span> - Method in class beans.<a href="../beans/Customer.html" title="class in beans">Customer</a></dt>
<dd>
<div class="block">Gets the invoice street.</div>
</dd>
<dt><span class="memberNameLink"><a href="../beans/Order.html#getInvoiceStreet--">getInvoiceStreet()</a></span> - Method in class beans.<a href="../beans/Order.html" title="class in beans">Order</a></dt>
<dd>
<div class="block">Gets the invoice street.</div>
</dd>
<dt><span class="memberNameLink"><a href="../beans/Customer.html#getInvoiceTown--">getInvoiceTown()</a></span> - Method in class beans.<a href="../beans/Customer.html" title="class in beans">Customer</a></dt>
<dd>
<div class="block">Gets the invoice town.</div>
</dd>
<dt><span class="memberNameLink"><a href="../beans/Order.html#getInvoiceTown--">getInvoiceTown()</a></span> - Method in class beans.<a href="../beans/Order.html" title="class in beans">Order</a></dt>
<dd>
<div class="block">Gets the invoice town.</div>
</dd>
<dt><span class="memberNameLink"><a href="../beans/Article.html#getMinStock--">getMinStock()</a></span> - Method in class beans.<a href="../beans/Article.html" title="class in beans">Article</a></dt>
<dd>
<div class="block">Gets the minimum stock.</div>
</dd>
<dt><span class="memberNameLink"><a href="../beans/Article.html#getName--">getName()</a></span> - Method in class beans.<a href="../beans/Article.html" title="class in beans">Article</a></dt>
<dd>
<div class="block">Gets the name.</div>
</dd>
<dt><span class="memberNameLink"><a href="../beans/Customer.html#getName--">getName()</a></span> - Method in class beans.<a href="../beans/Customer.html" title="class in beans">Customer</a></dt>
<dd>
<div class="block">Gets the name.</div>
</dd>
<dt><span class="memberNameLink"><a href="../beans/Review.html#getNumberOfStars--">getNumberOfStars()</a></span> - Method in class beans.<a href="../beans/Review.html" title="class in beans">Review</a></dt>
<dd>
<div class="block">Gets the number of stars.</div>
</dd>
<dt><span class="memberNameLink"><a href="../beans/Customer.html#getOneTimeCustomer--">getOneTimeCustomer()</a></span> - Method in class beans.<a href="../beans/Customer.html" title="class in beans">Customer</a></dt>
<dd>
<div class="block">Gets the one time customer.</div>
</dd>
<dt><span class="memberNameLink"><a href="../helperClasses/DatabaseHelper.html#getOrderedArticles-java.lang.String-">getOrderedArticles(String)</a></span> - Method in class helperClasses.<a href="../helperClasses/DatabaseHelper.html" title="class in helperClasses">DatabaseHelper</a></dt>
<dd>
<div class="block">Gets all ordered articles from one customer.</div>
</dd>
<dt><span class="memberNameLink"><a href="../helperClasses/DatabaseHelper.html#getOrderListByCustomerNo-java.lang.String-">getOrderListByCustomerNo(String)</a></span> - Method in class helperClasses.<a href="../helperClasses/DatabaseHelper.html" title="class in helperClasses">DatabaseHelper</a></dt>
<dd>
<div class="block">Gets the orders from one customer.</div>
</dd>
<dt><span class="memberNameLink"><a href="../beans/Order.html#getOrderNo--">getOrderNo()</a></span> - Method in class beans.<a href="../beans/Order.html" title="class in beans">Order</a></dt>
<dd>
<div class="block">Gets the order number.</div>
</dd>
<dt><span class="memberNameLink"><a href="../beans/OrderPosition.html#getOrderNo--">getOrderNo()</a></span> - Method in class beans.<a href="../beans/OrderPosition.html" title="class in beans">OrderPosition</a></dt>
<dd>
<div class="block">Gets the order no.</div>
</dd>
<dt><span class="memberNameLink"><a href="../helperClasses/DatabaseHelper.html#getOrderPositionListByCustomerNo-java.lang.String-">getOrderPositionListByCustomerNo(String)</a></span> - Method in class helperClasses.<a href="../helperClasses/DatabaseHelper.html" title="class in helperClasses">DatabaseHelper</a></dt>
<dd>
<div class="block">Gets all order positions from one customer.</div>
</dd>
<dt><span class="memberNameLink"><a href="../beans/Customer.html#getPassword--">getPassword()</a></span> - Method in class beans.<a href="../beans/Customer.html" title="class in beans">Customer</a></dt>
<dd>
<div class="block">Gets the password.</div>
</dd>
<dt><span class="memberNameLink"><a href="../helperClasses/DatabaseHelper.html#getPassword-java.lang.String-">getPassword(String)</a></span> - Method in class helperClasses.<a href="../helperClasses/DatabaseHelper.html" title="class in helperClasses">DatabaseHelper</a></dt>
<dd>
<div class="block">Gets the password from an user from the database.</div>
</dd>
<dt><span class="memberNameLink"><a href="../beans/Order.html#getPaymentMethod--">getPaymentMethod()</a></span> - Method in class beans.<a href="../beans/Order.html" title="class in beans">Order</a></dt>
<dd>
<div class="block">Gets the payment method.</div>
</dd>
<dt><span class="memberNameLink"><a href="../beans/Article.html#getPictureLink--">getPictureLink()</a></span> - Method in class beans.<a href="../beans/Article.html" title="class in beans">Article</a></dt>
<dd>
<div class="block">Gets the picture link.</div>
</dd>
<dt><span class="memberNameLink"><a href="../helperClasses/ShoppingCartItem.html#getPictureLink--">getPictureLink()</a></span> - Method in class helperClasses.<a href="../helperClasses/ShoppingCartItem.html" title="class in helperClasses">ShoppingCartItem</a></dt>
<dd>
<div class="block">Gets the picture link.</div>
</dd>
<dt><span class="memberNameLink"><a href="../helperClasses/ShoppingCartItem.html#getPositionNo--">getPositionNo()</a></span> - Method in class helperClasses.<a href="../helperClasses/ShoppingCartItem.html" title="class in helperClasses">ShoppingCartItem</a></dt>
<dd>
<div class="block">Gets the position number.</div>
</dd>
<dt><span class="memberNameLink"><a href="../beans/Article.html#getPrice--">getPrice()</a></span> - Method in class beans.<a href="../beans/Article.html" title="class in beans">Article</a></dt>
<dd>
<div class="block">Gets the price.</div>
</dd>
<dt><span class="memberNameLink"><a href="../helperClasses/ShoppingCartItem.html#getPrice--">getPrice()</a></span> - Method in class helperClasses.<a href="../helperClasses/ShoppingCartItem.html" title="class in helperClasses">ShoppingCartItem</a></dt>
<dd>
<div class="block">Gets the price.</div>
</dd>
<dt><span class="memberNameLink"><a href="../beans/OrderPosition.html#getPricePerPiece--">getPricePerPiece()</a></span> - Method in class beans.<a href="../beans/OrderPosition.html" title="class in beans">OrderPosition</a></dt>
<dd>
<div class="block">Gets the price per piece.</div>
</dd>
<dt><span class="memberNameLink"><a href="../beans/Question.html#getQuestion--">getQuestion()</a></span> - Method in class beans.<a href="../beans/Question.html" title="class in beans">Question</a></dt>
<dd>
<div class="block">Gets the question.</div>
</dd>
<dt><span class="memberNameLink"><a href="../helperClasses/DatabaseHelper.html#getQuestion-java.lang.String-">getQuestion(String)</a></span> - Method in class helperClasses.<a href="../helperClasses/DatabaseHelper.html" title="class in helperClasses">DatabaseHelper</a></dt>
<dd>
<div class="block">Gets an question by a specific ID.</div>
</dd>
<dt><span class="memberNameLink"><a href="../beans/Question.html#getQuestioner--">getQuestioner()</a></span> - Method in class beans.<a href="../beans/Question.html" title="class in beans">Question</a></dt>
<dd>
<div class="block">Gets the questioner.</div>
</dd>
<dt><span class="memberNameLink"><a href="../helperClasses/DatabaseHelper.html#getReviewsByArticleNo-java.lang.String-">getReviewsByArticleNo(String)</a></span> - Method in class helperClasses.<a href="../helperClasses/DatabaseHelper.html" title="class in helperClasses">DatabaseHelper</a></dt>
<dd>
<div class="block">Gets all reviews to one article.</div>
</dd>
<dt><span class="memberNameLink"><a href="../helperClasses/DatabaseHelper.html#getSearchResults-java.lang.String-java.lang.String-java.lang.String-">getSearchResults(String, String, String)</a></span> - Method in class helperClasses.<a href="../helperClasses/DatabaseHelper.html" title="class in helperClasses">DatabaseHelper</a></dt>
<dd>
<div class="block">Gets the search results (articles) from the database.</div>
</dd>
<dt><span class="memberNameLink"><a href="../helperClasses/ShoppingCartHelper.html#getShoppingCartItemList-javax.servlet.http.HttpSession-">getShoppingCartItemList(HttpSession)</a></span> - Method in class helperClasses.<a href="../helperClasses/ShoppingCartHelper.html" title="class in helperClasses">ShoppingCartHelper</a></dt>
<dd>
<div class="block">Get all shopping cart items from the shopping cart.</div>
</dd>
<dt><span class="memberNameLink"><a href="../beans/Article.html#getStatus--">getStatus()</a></span> - Method in class beans.<a href="../beans/Article.html" title="class in beans">Article</a></dt>
<dd>
<div class="block">Gets the status.</div>
</dd>
<dt><span class="memberNameLink"><a href="../beans/Order.html#getStatus--">getStatus()</a></span> - Method in class beans.<a href="../beans/Order.html" title="class in beans">Order</a></dt>
<dd>
<div class="block">Gets the status.</div>
</dd>
<dt><span class="memberNameLink"><a href="../beans/Review.html#getText--">getText()</a></span> - Method in class beans.<a href="../beans/Review.html" title="class in beans">Review</a></dt>
<dd>
<div class="block">Gets the text.</div>
</dd>
<dt><span class="memberNameLink"><a href="../beans/Customer.html#getTitle--">getTitle()</a></span> - Method in class beans.<a href="../beans/Customer.html" title="class in beans">Customer</a></dt>
<dd>
<div class="block">Gets the title.</div>
</dd>
<dt><span class="memberNameLink"><a href="../beans/Question.html#getTitle--">getTitle()</a></span> - Method in class beans.<a href="../beans/Question.html" title="class in beans">Question</a></dt>
<dd>
<div class="block">Gets the title.</div>
</dd>
<dt><span class="memberNameLink"><a href="../beans/Review.html#getTitle--">getTitle()</a></span> - Method in class beans.<a href="../beans/Review.html" title="class in beans">Review</a></dt>
<dd>
<div class="block">Gets the title.</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">O</a>&nbsp;<a href="index-12.html">P</a>&nbsp;<a href="index-13.html">Q</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">U</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-5.html">Prev Letter</a></li>
<li><a href="index-7.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-6.html" target="_top">Frames</a></li>
<li><a href="index-6.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
